
import { selectHackableServerList, hackServer } from "./lib/hack"
import {isRootedServer} from "./lib/servers"
import {NS} from "@ns"

/** @param {NS} ns */
// eslint-disable-next-line require-await
export async function main(ns: NS): Promise<void> {
    //ns.disableLog("ALL")
    const servers = selectHackableServerList(ns).filter(x => !isRootedServer(x))
    servers.forEach(x => {
        ns.tprint(`hack ${x.hostname}`)
        hackServer(ns, x)
    })
}