import {NS} from "@ns"
import {parse} from "lib/flag"

/** @param {NS} ns */
// eslint-disable-next-line require-await
export async function main(ns: NS):Promise<void> {
    const flag = parse(ns.args);
    if(flag.help || flag.h){
        ns.tprint(`* list all purchased server`);
        ns.exit();
    }
    ns.tprint(ns.getPurchasedServers().join("\n"));
}